<template>
  <div class="[ a-details-card-ui ] shadow-md sm:rounded-lg">
    <a-box-l v-if="$slots.header" class="reset border-b border-gray-200">
      <!--
        @slot Header area.
      -->
      <slot name="header" />
    </a-box-l>

    <a-box-l class="reset overflow-y-auto [ a-scrollbar-cs ]">
      <!--
        @slot Content area.
      -->
      <slot />
    </a-box-l>

    <a-box-l v-if="$slots.footer" class="reset">
      <!--
        @slot Footer area.
      -->
      <slot name="footer" />
    </a-box-l>
  </div>
</template>

<script>
export default {
  name: 'ADetailsCardUi',
};
</script>

<style>
/* prettier-ignore */
.a-details-card-ui {
  --a-details-card-ui--def-py: 1.25rem; /* theme('padding.5') */
  --a-details-card-ui--def-border-color: hsl(220, 9%, 46%); /* theme('colors.gray.500') */

  display: grid;
  grid-template-rows: auto 1fr auto;

  border-color: var(--a-details-card-ui--border-color, var(--a-details-card-ui--def-border-color));
}
/* prettier-ignore */
.a-details-card-ui:not(.reset) {
  --a-details-card-ui--def-max-h: 100%; /* theme('maxHeight.full') */
  --a-details-card-ui--def-max-w: 100%; /* theme('maxWidth.full') */
  --a-details-card-ui--def-px: 1rem; /* theme('padding.4') */
  --a-details-card-ui--def-bg-color: hsl(0, 0%, 100%); /* theme('colors.white') */
  --a-details-card-ui--def-border-width: 4px; /* theme('borderWidth.4') */

  max-height: var(--a-details-card-ui--max-h, var(--a-details-card-ui--def-max-h));
  max-width: var(--a-details-card-ui--max-w, var(--a-details-card-ui--def-max-w));
  padding-left: var(--a-details-card-ui--px, var(--a-details-card-ui--def-px));
  padding-right: var(--a-details-card-ui--px, var(--a-details-card-ui--def-px));
  background-color: var(--a-details-card-ui--bg-color, var(--a-details-card-ui--def-bg-color));
  border-top-width: var(--a-details-card-ui--border-width, var(--a-details-card-ui--def-border-width));
}
/* prettier-ignore */
.a-details-card-ui > * {
  padding-top: var(--a-details-card-ui--py, var(--a-details-card-ui--def-py));
  padding-bottom: var(--a-details-card-ui--py, var(--a-details-card-ui--def-py));
}
</style>
